/* Code for Assignment ?? 
 * Name:
 * Usercode:
 * ID:
 */

import java.util.*;
import comp100.*;
import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;


/** <description of class HouseData>
 */
public class HouseData{

  public void printHouseData(String fileName){
    try{
      Scanner fileScan = new Scanner(new File(fileName));
      
      String d1 = fileScan.next();
      int b1 = fileScan.nextInt();
      String d2 = fileScan.nextLine();
      String d3 = fileScan.nextLine();
      
      System.out.println(d3);
      System.out.println(d2);
      System.out.println(d1 + b1);
      System.out.println(fileScan.next());
      
      fileScan.close();
    }
    catch(IOException e){System.out.println("File reading failed");}
  }

    public void selectHouses(String fileName){
	try{
	    PrintStream fileOut = new PrintStream(new File("bigHouses.txt"));
	    Scanner fileScan = new Scanner(new File(fileName));
	    int count = 0;
	    int meet = 0;
	    double totalPrice = 0; 
	    while (fileScan.hasNext()){
		count++;
		String location = fileScan.next();
          
		int bedrooms = fileScan.nextInt();
		int bathrooms = fileScan.nextInt();
		int parking =  fileScan.nextInt();
		int price =  fileScan.nextInt();

		if ( bedrooms == 3 && bathrooms == 2 ){
		    meet++;
		    totalPrice += price;
		    System.out.printf("%s %d %d\n", location, parking, price);
		    fileOut.printf("%s %d %d\n", location, parking, price);
		}
	    }
	    fileScan.close();
	    fileOut.close();
	    System.out.printf("%.1f%% of the houses had 3 bedrooms and 2 bathrooms\n", meet*100.0/count);
	    System.out.printf("Average price = $%.2f\n", totalPrice/meet);
	}
	catch(IOException e){System.out.println("File reading or writing failed");}
    }




  public static void main(String[] args){
      HouseData hd = new HouseData();
      hd.printHouseData("houses.txt");
      hd.selectHouses("houses.txt");
  }

}
