import java.util.*;
import comp100.*;
import java.io.*;

public class TestFile {

  public void printData(){
    try{
      Scanner fileScan = new Scanner(new File("ttdata.txt"));
      
      String d1 = fileScan.next();
      String d2 = fileScan.nextLine();
      String d3 = fileScan.nextLine();
      
      System.out.println(d3);
      System.out.println(d2);
      System.out.println(d1);
      System.out.println(fileScan.next());
      
      fileScan.close();
    }
    catch(IOException e){System.out.println("File reading failed");}
  }

  public void printHouse(){
    try{
      PrintStream fileOut = new PrintStream(new File("newdata.txt"));
      Scanner fileScan = new Scanner(new File("ttdata.txt"));
      while (fileScan.hasNext()){
          String location = fileScan.next();
          
          int bedroom = fileScan.nextInt();
          int bathroom = fileScan.nextInt();
          String rest = fileScan.nextLine();

          if ( bedroom ==3 &&
             bathroom ==2 ){
                 System.out.println(location + " " + rest);
                 fileOut.println(location + " " + rest);
          }
      }
      fileScan.close();
      fileOut.close();
    }
    catch(IOException e){System.out.println("File reading or writing failed");}
    
  }

    // Main
    public static void main(String[] arguments){
	TestFile tt = new TestFile();
	System.out.println("=========\nTesting printCourse\n============\n");
	tt.printData();
	System.out.println("=========\nTesting printRoom\n+=============\n");
	tt.printHouse();
	
    }
}	


